
#include <bits/stdc++.h>
using namespace std;
#ifdef _LOCAL
#define debug(x) cout << __LINE__ << ' ' << __PRETTY_FUNCTION__ << ": " << (x) << endl
#else
#define debug(...) 238;
#endif
mt19937 rng(238);
mt19937_64 rng64(238);
using ll = long long;
template <typename T, int U>
using ar = array<T, U>;
template <typename T, typename U>
bool chmin(T& x, const U&& y) {
    if (x > y) {
        x = y;
        return true;
    }
    return false;
}
template <typename T, typename U>
bool chmax(T& x, const U&& y) {
    if (x < y) {
        x = y;
        return true;
    }
    return false;
}

#include <ext/pb_ds/assoc_container.hpp>
template <typename T>
using ordered_set = __gnu_pbds::tree<T, __gnu_pbds::null_type,
                                     less<T>,
                                     __gnu_pbds::rb_tree_tag,
                                     __gnu_pbds::tree_order_statistics_node_update>; 
constexpr int Inf = 0x3f3f3f3f;
constexpr ll inf = 1144000000000000000;

void solve() {
    ll n, m;
    cin >> n >> m;
    vector<ll> aa(m);
    for (ll& x : aa) {
        cin >> x;
    }
    reverse(aa.begin(), aa.end());
    ll ans = -inf;
    for (int mask = 0; mask < (1 << m); ++mask) {
        int up = n, down = 0;
        ll cur = 0;
        bool bad = false;
        for (int j = 0; j < m; ++j) {
            if (mask >> j & 1) {
                if (up) {
                    cur += aa[j];
                    up--;
                    down++;
                } else {
                    bad = true;
                }
            } else {
                if (down) {
                    cur -= aa[j];
                    up++;
                    down--;
                } else {
                    bad = true;
                }
            }
        }
        if (bad) {

        } else {
            ans = max(ans, cur);
        }
    }
    cout << ans;
 
}

signed main() {
#ifdef _LOCAL
    freopen("test.in", "r", stdin);
    freopen("test.out", "w", stdout);
    freopen("test.out", "w", stderr);
#endif
    cin.tie(0)->sync_with_stdio(0);

    int Tc = 1;
    cin >> Tc;
    while (Tc--) {
        solve();
        cout << '\n';
    }

    return 0;
}